
import * as _utils from './modules/utils';
import _appInfo from "./modules/appinfo";
import __bus__ from "./modules/__handle__/__bus__";
import {requestInterceptor} from "./modules/interceptors";
//导出
export * from './modules/jsbridge';
export * from './modules/request';
export * from './modules/data';
export * from './modules/keyboard';
export * from './modules/media';
export * from './modules/menu';
export * from './modules/native';
export * from './modules/userinfo';
export * from './modules/window';
export * from './modules/share';
export * from './modules/face_ocr';
export * from './modules/tecent';
export * from './modules/appclient';
export * from './modules/broadcast';
export * from './modules/navbar';
export * from './modules/notification';
export * from './modules/pdf';
export * from './modules/banner';
export * from './modules/screen-shot';
export * from './modules/finger-print';
export * from './modules/payment';
export * from './modules/verification-bd';
export * from './modules/verification-ic';
export * from './modules/verification-ukey';
export * from './modules/verification-xd';
import {version} from '../package.json'
export const VERSION = version; //require('../package').version;

export  const appInfo = {
	engine: _appInfo.engine(),
	engineVer: _appInfo.engineVer(),
	bkId: _appInfo.bkId(),
	osVersion: _appInfo.osVersion(),
	modeType: _appInfo.modeType(),
	appVersion: _appInfo.appVersion()
};
export const interceptors = {
	request: requestInterceptor
};
export const getDevice = __bus__.getDevice;
export const bkId = appInfo.bkId;
export const utils = _utils;
