import {callHandler} from "./jsbridge";
import {extend} from "./utils";

/**
 * 下载并打开文件
 * @param opt
 * @since v2.0.0
 */
export const downloadFile = opt => {
	let defaultSetting = {
		checkflag: "1"
	};
	let setting = extend(defaultSetting, opt);
	callHandler("downloadFile", setting);
};

/**
 * 预览
 * @param opt
 * @since 2.0.0
 */
export const preview = opt => {
	callHandler("preview", opt);
};

/**
 * 下载文件并打开预览
 * @param opt
 */
export const download = opt => {
	callHandler('download', opt)
}
