import {callHandler} from "./jsbridge";

/**
 * 下载并开启软UKey
 * @param opt
 * @since v2.0.0
 */
export const openUKey = opt => {
	callHandler("openUKey", opt);
};

/**
 * 校验本地是否有UKey
 * @param opt
 * @since v2.0.0
 */
export const checkUKey = opt => {
	callHandler("checkUKey", opt);
};

/**
 * 修改UKey的PIN码
 * @param opt
 * @since v2.0.0
 */
export const updateUKeyPIN = opt => {
	callHandler("updateUKeyPIN", opt);
};

/**
 * 软UKey认证
 * @param opt
 * @since v2.0.0
 */
export const authUKey = opt => {
	callHandler("authUKey", opt);
};

/**
 * 设置软UKey的PIN码
 * @param opt
 * @since v2.0.0
 */
export const setUKeyPIN = opt => {
	callHandler("setUKeyPIN", opt);
};



