import {isString} from "./utils";
import {callHandler} from "./jsbridge";
import {ALBUM} from "./const";

/**
 * 选取相册图片和摄像头拍照图片
 * @param opt
 */
export let chooseImage = opt => {
	if (!isString(opt.sourceType)) {
		opt.sourceType = ALBUM; //默认值
	}
	if (!isString(opt.compressLevel)) {
		opt.compressLevel = "M";
	}
	callHandler("chooseImage", opt);
};

/**
 * 用户头像下载
 * @param opt
 */
export const downloadUserAvatar = opt => {
	callHandler('downloadUserAvatar', opt)
};

/**
 * 保存图片
 * @param opt
 */
export const savePicture = opt => {
	callHandler('savePicture', opt)
}
