import {callHandler} from "./jsbridge";

export const shareWeChatFriend = (opt) => {
	callHandler('shareWeChatFriend', opt);
};

export const share = (opt) => {
	callHandler('share', opt);
};

export const shareTextOnly = opt => {
	opt.type = 'text';
	share(opt);
};

export const shareTextAndImage = opt => {
	opt.type = 'image';
	share(opt);
};

export const shareScreenShot = opt => {
	opt.type = 'text+image';
	share(opt);
};

export const osShareFile = opt => {
	callHandler('osShareFile', opt);
};


