import {callHandler, register} from "./jsbridge";

export const isLogin = opt => {
	callHandler('isLogin', opt);
};

export const login = opt => {
	callHandler('login', opt);
};

export const logout = opt => {
	callHandler('logout', opt);
};

export const setAlive = opt => {
	callHandler('setAlive', opt);
}

/**
 * 三方获取授权令牌
 * @param opt
 */
export const getJWToken = opt => {
	callHandler('getJWToken', opt);
}

/**
 * 长登录功能
 * @param opt MchId 三方标识
 */
export const getNoStateJWToken = opt => {
	callHandler('getNoStateJWToken', opt);
}