import {callHandler} from "./jsbridge";

/**
 * 校验是否连接蓝牙KEY
 * @param opt
 * @since v2.0.0
 */
export const checkConnectBDKey = opt => {
	callHandler("checkConnectBDKey", opt);
};

/**
 * 获取证书信息
 * @param opt
 * @since v2.0.0
 */
export const getBDKeyCertInfo = opt => {
	callHandler("getBDKeyCertInfo", opt);
};

/**
 * 设置蓝牙KEY密码
 * @param opt
 * @since v2.0.0
 */
export const changeBDKeyPassword = opt => {
	callHandler("changeBDKeyPassword", opt);
};

/**
 * 蓝牙Key签名
 * @param opt
 * @since v2.0.0
 */
export const signBDKeyData = opt => {
	callHandler("signBDKeyData", opt);
};



